Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.source
Interface MessageSource

All Known Subinterfaces:
  CompositeMessageSource, InboundEndpoint, InterceptingMessageProcessor, Interceptor, MessageReceiver, RequestReplyReplierMessageProcessor, RequestReplyRequesterMessageProcessor

All Known Implementing Classes:
  AbstractAggregator, AbstractAsyncRequestReplyRequester, AbstractCorrelationAggregator, AbstractEnvelopeInterceptor, AbstractFilteringMessageProcessor, AbstractInterceptingMessageProcessor, AbstractMessageProcessorChain, AbstractMessageReceiver, AbstractPollingMessageReceiver, AbstractResponseMessageProcessor, AbstractSplitter, AjaxMessageReceiver, AsyncInterceptingMessageProcessor, AtomInboundEndpoint, AxisMessageReceiver, BankQuotesInboundAggregator, BankQuotesResponseAggregator, CallRequestEndpoint, CollectionSplitter, CxfInboundMessageProcessor, CxfOutboundMessageProcessor, DefaultInboundEndpoint, DefaultMessageProcessorChain, DynamicRequestEndpoint, DynamicRequestEndpoint.NullInboundEndpoint, DynamicURIInboundEndpoint, EjbMessageReceiver, ExceptionHandlingMessageProcessor, ExceptionReturnTcpMessageReceiver, ExpressionSplitter, FeedSplitter, FeedSplitter, FileMessageReceiver, FlowConfiguringMessageProcessor, ForwardingConsumer, FtpMessageReceiver, HttpMessageReceiver, HttpsMessageReceiver, IBeansMessageReceiver, IdempotentMessageFilter, IdempotentSecureHashMessageFilter, InterceptingChainLifecycleWrapper, InterceptorStack, JdbcMessageReceiver, JettyHttpMessageReceiver, JmsMessageReceiver, LoggingInterceptor, MessageChunkAggregator, MessageChunkSplitter, MessageFilter, MessageProcessorPollingMessageReceiver, MulticastMessageReceiver, MultiConsumerJmsMessageReceiver, OptionalAsyncInterceptingMessageProcessor, OutboundResponsePropertiesMessageProcessor, OutboundTxRollbackMessageProcessor, PollingHttpMessageReceiver, PollingTcpMessageReceiver, ProcessIfStartedMessageProcessor, ProcessIfStartedWaitIfPausedMessageProcessor, ProcessIfStartedWaitIfSyncPausedMessageProcessor, ProcessingTimeInterceptor, QuartzMessageReceiver, ReplyToPropertyRequestReplyReplier, Resequencer, ResponseMessageProcessorAdapter, RetrieveMessageReceiver, RmiCallbackMessageReceiver, RmiMessageReceiver, RssInboundEndpoint, SecurityFilterMessageProcessor, SedaStageInterceptingMessageProcessor, ServiceAsyncReplyCompositeMessageSource, ServiceAsyncRequestReplyRequestor, ServiceCompositeMessageSource, ServiceInternalMessageProcessor, ServiceOutboundMessageProcessor, ServletMessageReceiver, SimpleAsyncRequestReplyRequester, SimpleCollectionAggregator, SimpleRequestReplyReplier, SingleJmsMessageReceiver, SslMessageReceiver, StartableCompositeMessageSource, StdioMessageReceiver, StopFurtherMessageProcessingMessageProcessor, TcpMessageReceiver, TimerInterceptor, TransactedPollingMessageReceiver, TransactedSingleResourceJmsMessageReceiver, TransactionalInterceptingMessageProcessor, UdpMessageReceiver, VMMessageReceiver, WebsphereTransactedJmsMessageReceiver, XaTransactedJmsMessageReceiver, XmppMessageReceiver, XmppPollingMessageReceiver

    public interface MessageSource

Implemented by objects that receives or generates messages which are then processed by a `MessageProcessor`.

Since:
  3.0

Method Summary
`void` | `setListener(MessageProcessor listener)` Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.

Method Detail

### setListener

    void setListener(MessageProcessor listener)

  Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.

  Parameters:
    `event` - MuleEvent to be processed
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.